About

Posts by :

RTX で LAN1 と LAN2 を遮断する

 

RTX で LAN1 と LAN2 を遮断する

ip lan1 address 192.168.120.1/24
ip lan1 secure filter in 10 99
ip lan3 address 192.168.220.1/24
ip lan3 secure filter in 11 99

ip filter 10 reject * 192.168.220.0/24 * * *
ip filter 11 reject * 192.168.120.0/24 * * *
ip filter 99 pass * * * * *

参考 https://detail.chiebukuro.yahoo.co.jp/qa/question_detail/q1453178039

checkboxにreadonly

 

checkboxにreadonlyはない。

<input type=’checkbox’ onclick=’return false;’>
<input type=’checkbox’ onclick=’return false;’ checked>

とするとOKらしい。

ここを見ました。
https://qiita.com/black_iron/items/e7af697b641112275bf1

この世界の片隅に

 

録画に残ってたのでなんとなしに観ました。戦争中の広島と呉の話で、
親、親の親の時代ですが、映画の中の昔も、今も、そんなに日本人も変わってなくて、あまり心配しなくても、このころの人と変わらず、きっとこれからも頑張ればよく、また頑張れるのではないかと思ってしまいました。

この世界の片隅に

HTML5のpattern で 半角数字桁数指定が効かない

 

HTML5のpattern で 半角数字桁数指定が効かない。

<input type=”text” name=”sample” pattern=”\d{2}”>

な感じの書き方がどうしても効果がない。
3日ほど悶えてわかったのが、smartyのテンプレートファイルの中で”{“を使いたいときは{literal}{/literal}で囲まないと、実行時に消されてしまう。

実行時にソースを見ると
<input type=”text” name=”sample” pattern=”\d2″>
こうなっているのに気が付いた。

{literal}
<input type=”text” name=”sample” pattern=”\d{2}”>
{/literal}
と書かないとダメっぽい。

mysqlテーブルの修復

selectしたときとか、dumpの時に
#145 – Table ‘./??????@>>>>>>/wp_infectscannerdata’ is marked as crashed and should be repaired
みたいなエラーが出る。

#mysql -u root -p
mysql>use ?????
mysql> check table wp_infectscannerdata;
でエラーが表示されるか確認

mysql>repair table wp_infectscannerdata; で修復する。

修復出来たらも一度チェック
mysql> check table wp_infectscannerdata;

OKなら以下のように表示される。
+———————————–+——-+———-+———-+
| Table | Op | Msg_type | Msg_text |
+———————————–+——-+———-+———-+
| ????????.wp_infectscannerdata | check | status | OK |
+———————————–+——-+———-+———-+
1 row in set (0.02 sec)

pearを手動インストール

portsとかでなくなってたら
# wget http://pear.php.net/go-pear.phar
# php go-pear.phar

https://pear.plus-server.net/installation.getting.html

PHP7で文字化け

https://www.php-factory.net/blog/?id=10746568e0ffbb13b0

> PHP5.6以上(PHP7含む)の場合、拡張子が.phpの場合で、文字コードがShift_JIS、またはEUC-JPの場合、PHPが絡んでいようがいまいが文字化けしてしまうようです。(要するにそのファイルにHTMLだけが記述されていたとしても)
>
> もちろんmetaタグのContent-Typeで「charset=shift_jis」などを指定していたとしてもだから余計に厄介。
>
> おそらくデフォルトcharsetがUTF-8に変わったせいだろうか。それにしてもこれはちょっとひどいな。。
> metaタグやファイルの文字コードが間違いなくても文字化けするのでハマる可能性が高いと思う。
> (あえてheaderで書いていないケースも多いと思うので ※特にPHPを書いていない場合はそもそも不要だったし)
>
> 解決法としては、単純にheader関数で明示的に文字コードを指定すれば解決できた。
>
> 以下1行をソース上の一番上の行(DOCタイプ宣言の更に上)に記述すればOK。
> ※EUC-JPの場合は適宜変更下さい。
>
> <?php header(“Content-Type: text/html;charset=Shift_JIS”);?>

ACMEv1 is deprecated and you can no longer get certificates from this endpoint.

2021年6月からACMEv1 を使った証明書更新は利用できなくなった。

FreeBSDのバージョンが古い場合Pythonを3.7にアップデートする。

pkg install python37
pkg install py37-certbot
pkg delete python27

でとりあえずOKっぽい。
37じゃない場合もある。
pkg search certbotでさがす。
36のとき、38のときもある。

pkgrepository meta /var/db/pkg/​FreeBSD.meta has wrong version 2
と言われたら、
pkg bootstrap -f
でおけ

※Perlのバージョンとか5.32ぐらいに上がるのでPerl使ってたら要注意。
※Perlのバージョンが上がらないみたいですので、念のためバックアップとってやってみるが良い。

FreeBSD11.1で、Python3.8だと

Shared object “libdl.so.1” not found,required by Python3.8とでた。

とでた。11.2だと出ないみたいですが確認してません。

#cd /usr/jails/sharedfs/usr/lib
#ln -s ../../lib/libc.so.7 libdl.so.1

で回避できた。

 

頑張れ

なんか日本の凋落とか、日本だめだめとか、しったかで言ってる人たくさんいますが、むしろみんな頑張ってるほうだ。

「日本だめだめ」で落ち込まないで、全然落ちていっても「いやいや、もっとがんばらなあかんよなー」で皆で宴会でもして頑張ったらそれだけでいいのではないか。

バブル崩壊で調整局面が続いて、そこにあんな大地震があって原発事故もあって、リーマンショックで世界中大変になって、隣のおっきい国が成長し始めたんだから、そりゃ大変に決まってる。

国内の原発なんてほとんど止まってるのに頑張って経済回してる。その分火力発電の燃料輸入してんだから大変に決まってる。

あんまり気にしないでもっと皆で頑張ればそれでよいのではないか。よく頑張ってるほうだ。

 

弐級

道険し!!がんばらねば!

Translate »